# Microsoft.Samples.DirectX.UtilityToolkit.ResettingDeviceObjectsException Class Reference

Resetting the device failed. More...

Inherits Microsoft::Samples::DirectX::UtilityToolkit::DirectXSampleException, Microsoft::Samples::DirectX::UtilityToolkit::DirectXSampleException, and Microsoft::Samples::DirectX::UtilityToolkit::DirectXSampleException.

Collaboration diagram for Microsoft.Samples.DirectX.UtilityToolkit.ResettingDeviceObjectsException:

[legend]

List of all members.

## Public Member Functions
| ResettingDeviceObjectsException ()
| ResettingDeviceObjectsException (Exception inner)
| ResettingDeviceObjectsException ()
| ResettingDeviceObjectsException (Exception inner)
| ResettingDeviceObjectsException ()
| ResettingDeviceObjectsException (Exception inner)

## Detailed Description

Resetting the device failed.

Definition at line 73 of file dxmutexception.cs.

## Constructor & Destructor Documentation

Microsoft.Samples.DirectX.UtilityToolkit.ResettingDeviceObjectsException.ResettingDeviceObjectsException | ( |  | ) |

Definition at line 75 of file dxmutexception.cs.

Microsoft.Samples.DirectX.UtilityToolkit.ResettingDeviceObjectsException.ResettingDeviceObjectsException | ( | Exception | inner | ) |

Definition at line 76 of file dxmutexception.cs.

Microsoft.Samples.DirectX.UtilityToolkit.ResettingDeviceObjectsException.ResettingDeviceObjectsException | ( |  | ) |

Definition at line 75 of file dxmutexception.cs.

Microsoft.Samples.DirectX.UtilityToolkit.ResettingDeviceObjectsException.ResettingDeviceObjectsException | ( | Exception | inner | ) |

Definition at line 76 of file dxmutexception.cs.

Microsoft.Samples.DirectX.UtilityToolkit.ResettingDeviceObjectsException.ResettingDeviceObjectsException | ( |  | ) |

Definition at line 75 of file wdxmutexception.cs.

Microsoft.Samples.DirectX.UtilityToolkit.ResettingDeviceObjectsException.ResettingDeviceObjectsException | ( | Exception | inner | ) |

Definition at line 76 of file wdxmutexception.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXCommon/dxmutexception.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/dxmutexception.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/wdxmutexception.cs